2017-12-19 18:17:58 UTC
39.1 MB
3b5fac462d21ca164b3778647420016315289034
DOCKER_CHANNELtest
DOCKER_VERSION17.12.0-ce-rc3
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:1160f4abea84cbe2f316db6306839d2704f09a04af763ee493dd92cb066c0865 - 4.85% (1.9 MB)
[#001] sha256:8c9ac44c1841d6907db77d1476941b90fbf7c3499440bf9068a83a66aecc237f - 0.86% (343 KB)
[#002] sha256:a848dcd23bd7ecdadc08642cb18c81b6fd36e0f0b99ee7660d13bf5cf244dfc9 - 0.0% (153 Bytes)
[#003] sha256:16aaad34e115b5a6fb2d386eb471a8a012b5c149ed98c064c35d33c1fb20564b - 84.37% (33 MB)
[#004] sha256:80e6bc7334710e410c6a4d661587f621f4f52396441426c4cc69484cc086cd31 - 0.0% (548 Bytes)
[#005] sha256:5bbc8eb225900d9aa38f23f4b4d292a9b8630e7cecb1013b42d18bda6358715b - 0.0% (741 Bytes)
[#006] sha256:51e37b21d5a2145ec07df91e2c0d486810748c15c2ea67766ce53267ca2d4966 - 9.47% (3.7 MB)
[#007] sha256:aff48d408aa7d13f76af374e070e078d53ac5a8fdce2d18c3dfd6287c7c20a9c - 0.0% (1.27 KB)
[#008] sha256:48f3de2e0200c9a5596b74203d995685ae9935ad5b07ea3a3a4dae3e6e35554f - 0.44% (176 KB)
[#009] sha256:a113682f1f90606a06915cf63bf426ac1b96073403d6117aa81979002ac02f0a - 0.0% (480 Bytes)
/bin/sh -c #(nop) ADD file:cb381165dec3689cf77e902c07ea78ca4da6bce4f5ac1909eebd40dba3273bfe in /
2017-12-01 18:46:26 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2017-12-01 20:06:17 UTC/bin/sh -c apk add --no-cache ca-certificates
2017-12-01 20:06:21 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2017-12-05 02:50:28 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2017-12-19 18:17:13 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=17.12.0-ce-rc3
2017-12-19 18:17:23 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps curl tar ; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! curl -fL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; apk del .fetch-deps; dockerd -v; docker -v
2017-12-19 18:17:23 UTC/bin/sh -c #(nop) COPY file:016ebcc5aefa6b28f6c484a299057d5b236e1d4f3baf44cc76eb4cd578821691 in /usr/local/bin/modprobe
2017-12-19 18:17:24 UTC/bin/sh -c #(nop) COPY file:0d94e1cd679f133aab807891a1b00b6aef1a9f1f884108e7a17ddf50ab88f1fb in /usr/local/bin/
2017-12-19 18:17:24 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2017-12-19 18:17:24 UTC/bin/sh -c #(nop) CMD ["sh"]
2017-12-19 18:17:51 UTC/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi
2017-12-19 18:17:52 UTC/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid
2017-12-19 18:17:52 UTC/bin/sh -c #(nop) ENV DIND_COMMIT=3b5fac462d21ca164b3778647420016315289034
2017-12-19 18:17:56 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps libressl; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind; apk del .fetch-deps
2017-12-19 18:17:57 UTC/bin/sh -c #(nop) COPY file:14215a2b157618f9ff66709b019144b953b95bbd7273096e970306475e524820 in /usr/local/bin/
2017-12-19 18:17:57 UTC/bin/sh -c #(nop) VOLUME [/var/lib/docker]
2017-12-19 18:17:58 UTC/bin/sh -c #(nop) EXPOSE 2375/tcp
2017-12-19 18:17:58 UTC/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]
2017-12-19 18:17:58 UTC/bin/sh -c #(nop) CMD []
2017-12-20 07:01:33 UTC
35.8 MB
3b5fac462d21ca164b3778647420016315289034
DOCKER_CHANNELtest
DOCKER_VERSION17.12.0-ce-rc3
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:bb473f0ebc12fde1bd45c1bd3c46f2d3aab367b1b7739464771455b9972f7894 - 5.1% (1.83 MB)
[#001] sha256:75ff6b7ff3a208b8399e701e7ea1b7edbdc654c8c60d33c6f09a7803e2dda776 - 0.0% (176 Bytes)
[#002] sha256:ae44a9d929a0f7f774a276b1abeda949212ff63805c2d35fd8e1856cb1e47859 - 0.94% (343 KB)
[#003] sha256:a11fa162bc593505d0e792ade6064701834ba4262cf5fda38fdbe83d0ba13951 - 0.0% (153 Bytes)
[#004] sha256:0e926cedd2eaf0f17f4894fa677fbad6ec3bd803e7913ee04a3d5286bfa553ba - 83.83% (30 MB)
[#005] sha256:5d8bcff8283bbaa5f5062fe489fe3f5b9d33dd54114d9b04b4144d008ed33a48 - 0.0% (549 Bytes)
[#006] sha256:50a1d71d36aa63ca1d13cf405e04ac19b96ec1b6209db234cc24ed0a9dd7e5ef - 0.0% (744 Bytes)
[#007] sha256:55d23a4ff52ed542c10a7752f267e3cbd2d2f14bb12237ed1538702b346c791f - 9.65% (3.46 MB)
[#008] sha256:7de5a2419049db95b3aea000e744b5a8e25359492e86c672101f2002f2c81d00 - 0.0% (1.28 KB)
[#009] sha256:8b00844a212033adfcf6f240e676c22861edf31530a5e855b733f599aa7f1622 - 0.48% (176 KB)
[#010] sha256:418eca7f37c895dc26815c65a5599a2726d61f8854133b718e0e05f05d06b3d7 - 0.0% (483 Bytes)
/bin/sh -c #(nop) ADD file:45b5d3b8d5490ba7edfca2cf6f54cdcf49c772b0b3a2302ce69a7af061007aa4 in /
2017-10-25 23:28:59 UTC/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime
2017-10-25 23:28:59 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2017-10-26 05:15:41 UTC/bin/sh -c apk add --no-cache ca-certificates
2017-10-26 05:15:43 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2017-11-04 06:00:55 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2017-12-20 07:00:37 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=17.12.0-ce-rc3
2017-12-20 07:00:49 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps curl tar ; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! curl -fL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; apk del .fetch-deps; dockerd -v; docker -v
2017-12-20 07:00:50 UTC/bin/sh -c #(nop) COPY file:016ebcc5aefa6b28f6c484a299057d5b236e1d4f3baf44cc76eb4cd578821691 in /usr/local/bin/modprobe
2017-12-20 07:00:52 UTC/bin/sh -c #(nop) COPY file:0d94e1cd679f133aab807891a1b00b6aef1a9f1f884108e7a17ddf50ab88f1fb in /usr/local/bin/
2017-12-20 07:00:52 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2017-12-20 07:00:53 UTC/bin/sh -c #(nop) CMD ["sh"]
2017-12-20 07:01:18 UTC/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi
2017-12-20 07:01:21 UTC/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid
2017-12-20 07:01:22 UTC/bin/sh -c #(nop) ENV DIND_COMMIT=3b5fac462d21ca164b3778647420016315289034
2017-12-20 07:01:28 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps libressl; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind; apk del .fetch-deps
2017-12-20 07:01:29 UTC/bin/sh -c #(nop) COPY file:14215a2b157618f9ff66709b019144b953b95bbd7273096e970306475e524820 in /usr/local/bin/
2017-12-20 07:01:30 UTC/bin/sh -c #(nop) VOLUME [/var/lib/docker]
2017-12-20 07:01:31 UTC/bin/sh -c #(nop) EXPOSE 2375/tcp
2017-12-20 07:01:32 UTC/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]
2017-12-20 07:01:33 UTC/bin/sh -c #(nop) CMD []
2017-12-20 11:37:14 UTC
34.4 MB
3b5fac462d21ca164b3778647420016315289034
DOCKER_CHANNELtest
DOCKER_VERSION17.12.0-ce-rc3
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:1e52418956f7d2a8ea35e8e6e3318fd08e005b27457d77868c225e7433bbfa02 - 5.57% (1.92 MB)
[#001] sha256:acf472f4e5bb7956ac20bb343b304e1d3de1f79160c0d158cccbe25980022d50 - 0.0% (176 Bytes)
[#002] sha256:786040648c6ce95b57cfce679096fb7515d48596fa35ebd8347645924dc7afcf - 0.98% (346 KB)
[#003] sha256:fb59a10fa001950eb807c32d69dfdb981e184862354d5a807966f342e49f5405 - 0.0% (154 Bytes)
[#004] sha256:5d02789aacba218153a42f85fd139fdf615d7130e26879af826c43f6aa4aa16c - 86.52% (29.7 MB)
[#005] sha256:619ee686cd6780f159c087d10aa3b043e3933224920f56b6f915514796bda9f5 - 0.0% (547 Bytes)
[#006] sha256:f86a299abdb4a5c833b3312c293e2f1580466f8df656f21d43e696895963b822 - 0.0% (743 Bytes)
[#007] sha256:d8edbd6f3c08e6b30243374c99c8e05cdccab33361d3cecc7cdcf774dc5d15f2 - 6.43% (2.21 MB)
[#008] sha256:a556892d65995f400bcd2066646799fdfd17edce746abd4450d847db8fb56eb2 - 0.0% (1.31 KB)
[#009] sha256:cf8ba57ba0f1c0d0773d7ccf8cb178e29fce01cc9a6340adeedca402ce007f72 - 0.49% (172 KB)
[#010] sha256:ad6b7a2f65359f77329711f767d4e79050c839a4fd15797e299ad4962bd931c2 - 0.0% (482 Bytes)
/bin/sh -c #(nop) ADD file:e0be8616517d68cb80a2f9b74eb967cda22b9937bbcbe8b75b6153815a6f7761 in /
2017-10-25 23:28:48 UTC/bin/sh -c #(nop) COPY file:0f1d36dd7d8d53613b275660a88c5bf9b608ea8aa73a8054cb8bdbd73fd971ac in /etc/localtime
2017-10-25 23:28:50 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2017-10-26 05:15:23 UTC/bin/sh -c apk add --no-cache ca-certificates
2017-10-26 05:15:29 UTC/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf
2017-11-04 10:36:25 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2017-12-20 11:36:21 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=17.12.0-ce-rc3
2017-12-20 11:36:30 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps curl tar ; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! curl -fL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; apk del .fetch-deps; dockerd -v; docker -v
2017-12-20 11:36:31 UTC/bin/sh -c #(nop) COPY file:016ebcc5aefa6b28f6c484a299057d5b236e1d4f3baf44cc76eb4cd578821691 in /usr/local/bin/modprobe
2017-12-20 11:36:32 UTC/bin/sh -c #(nop) COPY file:0d94e1cd679f133aab807891a1b00b6aef1a9f1f884108e7a17ddf50ab88f1fb in /usr/local/bin/
2017-12-20 11:36:34 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2017-12-20 11:36:35 UTC/bin/sh -c #(nop) CMD ["sh"]
2017-12-20 11:36:55 UTC/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi
2017-12-20 11:36:59 UTC/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid
2017-12-20 11:37:00 UTC/bin/sh -c #(nop) ENV DIND_COMMIT=3b5fac462d21ca164b3778647420016315289034
2017-12-20 11:37:07 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps libressl; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind; apk del .fetch-deps
2017-12-20 11:37:08 UTC/bin/sh -c #(nop) COPY file:14215a2b157618f9ff66709b019144b953b95bbd7273096e970306475e524820 in /usr/local/bin/
2017-12-20 11:37:10 UTC/bin/sh -c #(nop) VOLUME [/var/lib/docker]
2017-12-20 11:37:11 UTC/bin/sh -c #(nop) EXPOSE 2375/tcp
2017-12-20 11:37:13 UTC/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]
2017-12-20 11:37:14 UTC/bin/sh -c #(nop) CMD []
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.